{% block formgroup %}
  <li class="form-group tulam-group tulam-{{ attributeData.type ?: 'text' }}-group">
    {% block label %}
      <label for="tokenattribute_{{ attribute }}" class="col-sm-4 control-label">{{ attributeData.caption ?: attributeData.description }}</label>
    {% endblock %}
    <div class="col-sm-7 tulam-{{ attributeData.type ?: 'text' }}-item">
      {% block input %}
        {{ C.Html.textField(
        'tokenattribute[' ~ attribute ~ ']',
        oUserToken[attribute],
        ({
          'class' : 'form-control',
          'required' : attributeData.mandatory == 'Y',
          'disabled' : attributeData.disabled
        })
        )}}
        {% if attributeData.help %}
          <div class="help-block">{{ attributeData.help }}</div>
        {% endif %}
      {% endblock %}
    </div>
</li>
{% endblock %}
